Name:           alot
Version:        0.6
Release:        2%{?dist}
Summary:        Experimental terminal MUA based on notmuch mail

License:        GPLv3+
URL:            https://github.com/pazz/alot
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{url}/releases/download/%{version}/%{name}-%{version}.tar.gz.asc
Source2:        gpgkey-B7838D65FEE80DED1DCA494D94340367D7D6C5AA.gpg
Patch0:         0001-don-t-depend-on-weird-python-magic-distribution.patch

BuildArch:      noarch

BuildRequires:  gnupg2
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-sphinx
Requires:       python2-notmuch >= 0.13
Requires:       python-urwid >= 1.1.0
Requires:       python2-urwidtrees >= 1.0
Requires:       python2-twisted >= 10.2.0
# F27 python-magic, F28 python2-magic
Requires:       python-magic
Requires:       python2-configobj >= 4.7.0
Requires:       python2-gpg

%description
alot makes use of existing solutions where possible: It does not fetch, send or
edit mails; it lets notmuch handle your mailindex and uses a toolkit to render
its display. You are responsible for automatic initial tagging.

%prep
gpgv2 --keyring %{SOURCE2} %{SOURCE1} %{SOURCE0}
%autosetup -p1

%build
%py2_build
%make_build man SPHINX_BUILD=sphinx-build-2 PYTHON=python2 -C docs

%install
%py2_install
install -Dpm0644 docs/build/man/alot.1* -t %{buildroot}%{_mandir}/man1/

%files
%license COPYING
%doc NEWS README.md
%{python2_sitelib}/alot/
%{python2_sitelib}/alot-*.egg-info/
%{_bindir}/alot
%{_mandir}/man1/alot.1*

%changelog
* Mon Oct 09 2017 Tomas Tomecek <ttomecek@redhat.com> - 0.6-2
- use python-magic dep

* Mon Oct 02 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.6-1
- Update to 0.6
- Cleanup spec

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jan 12 2017 Tomas Tomecek <ttomecek@redhat.com> - 0.4-1
- update to 0.4

* Sat Dec 10 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 0.3.6-5
- Rebuild for gpgme 1.18

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-4
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Aug 12 2014 Tomas Tomecek <ttomecek@redhat.com> - 0.3.6-1
- initial package

